public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2024-05-05 11:49 Sam James
  0 siblings, 0 replies; 10+ messages in thread
From: Sam James @ 2024-05-05 11:49 UTC (permalink / raw
  To: gentoo-commits

commit:     3e5889e2fcbf4634823f405e013e8a72f3236460
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Sun May  5 04:43:07 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May  5 11:47:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e5889e2

media-libs/libltc: sync live

Only unsynced change is the EAPI 8 bump.

Fixes: 95095b102be082c99e4c6ed615a33710c57c7554
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libltc/libltc-9999.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-libs/libltc/libltc-9999.ebuild b/media-libs/libltc/libltc-9999.ebuild
index 925d187898f3..1151950f7c7a 100644
--- a/media-libs/libltc/libltc-9999.ebuild
+++ b/media-libs/libltc/libltc-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 DESCRIPTION="Linear/Logitudinal Time Code (LTC) Library"
 HOMEPAGE="https://github.com/x42/libltc"


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2024-05-05 11:49 Sam James
  0 siblings, 0 replies; 10+ messages in thread
From: Sam James @ 2024-05-05 11:49 UTC (permalink / raw
  To: gentoo-commits

commit:     bc2b3aa851eda2fa46b4253d04b1879831188752
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Sun May  5 04:44:54 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May  5 11:47:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc2b3aa8

media-libs/libltc: run elibtoolize in non-live ebuild

When building live, we always run eautoreconf. However, even in release
mode we should still run elibtoolize to get important fixes -- such as
the ones that pass through LTO sanity flags to the link phase.

Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libltc/libltc-1.3.2.ebuild | 9 +++++++--
 media-libs/libltc/libltc-9999.ebuild  | 7 ++++++-
 2 files changed, 13 insertions(+), 3 deletions(-)

diff --git a/media-libs/libltc/libltc-1.3.2.ebuild b/media-libs/libltc/libltc-1.3.2.ebuild
index 48b679efc14b..19a2a8ecf813 100644
--- a/media-libs/libltc/libltc-1.3.2.ebuild
+++ b/media-libs/libltc/libltc-1.3.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -9,6 +9,7 @@ if [[ ${PV} == *9999 ]]; then
 	inherit git-r3 autotools
 	EGIT_REPO_URI="https://github.com/x42/libltc"
 else
+	inherit libtool
 	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
 	KEYWORDS="amd64"
 fi
@@ -19,7 +20,11 @@ RESTRICT="mirror"
 src_prepare() {
 	default
 
-	[[ ${PV} == *9999 ]] && eautoreconf
+	if [[ ${PV} = *9999 ]]; then
+		eautoreconf
+	else
+		elibtoolize
+	fi
 }
 
 src_install() {

diff --git a/media-libs/libltc/libltc-9999.ebuild b/media-libs/libltc/libltc-9999.ebuild
index 1151950f7c7a..3049a511a985 100644
--- a/media-libs/libltc/libltc-9999.ebuild
+++ b/media-libs/libltc/libltc-9999.ebuild
@@ -9,6 +9,7 @@ if [[ ${PV} == *9999 ]]; then
 	inherit git-r3 autotools
 	EGIT_REPO_URI="https://github.com/x42/libltc"
 else
+	inherit libtool
 	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
 	KEYWORDS="~amd64"
 fi
@@ -19,7 +20,11 @@ RESTRICT="mirror"
 src_prepare() {
 	default
 
-	[[ ${PV} == *9999 ]] && eautoreconf
+	if [[ ${PV} = *9999 ]]; then
+		eautoreconf
+	else
+		elibtoolize
+	fi
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2023-06-19  6:47 Miroslav Šulc
  0 siblings, 0 replies; 10+ messages in thread
From: Miroslav Šulc @ 2023-06-19  6:47 UTC (permalink / raw
  To: gentoo-commits

commit:     c4ea1ff755e1c3710adc5423d6d9cffa2c9c281c
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sun Jun 18 08:48:37 2023 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Mon Jun 19 06:47:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4ea1ff7

media-libs/libltc: update HOMEPAGE

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-libs/libltc/libltc-1.3.2.ebuild | 6 +++---
 media-libs/libltc/libltc-9999.ebuild  | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/media-libs/libltc/libltc-1.3.2.ebuild b/media-libs/libltc/libltc-1.3.2.ebuild
index 381d5241e35e..48b679efc14b 100644
--- a/media-libs/libltc/libltc-1.3.2.ebuild
+++ b/media-libs/libltc/libltc-1.3.2.ebuild
@@ -1,13 +1,13 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DESCRIPTION="Linear/Logitudinal Time Code (LTC) Library"
-HOMEPAGE="https://github.com/x42/libltc.git"
+HOMEPAGE="https://github.com/x42/libltc"
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3 autotools
-	EGIT_REPO_URI="https://github.com/x42/libltc.git"
+	EGIT_REPO_URI="https://github.com/x42/libltc"
 else
 	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
 	KEYWORDS="amd64"

diff --git a/media-libs/libltc/libltc-9999.ebuild b/media-libs/libltc/libltc-9999.ebuild
index 3f002a9de5ae..925d187898f3 100644
--- a/media-libs/libltc/libltc-9999.ebuild
+++ b/media-libs/libltc/libltc-9999.ebuild
@@ -1,13 +1,13 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
 DESCRIPTION="Linear/Logitudinal Time Code (LTC) Library"
-HOMEPAGE="https://github.com/x42/libltc.git"
+HOMEPAGE="https://github.com/x42/libltc"
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3 autotools
-	EGIT_REPO_URI="https://github.com/x42/libltc.git"
+	EGIT_REPO_URI="https://github.com/x42/libltc"
 else
 	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
 	KEYWORDS="~amd64"


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2022-10-09  6:14 Miroslav Šulc
  0 siblings, 0 replies; 10+ messages in thread
From: Miroslav Šulc @ 2022-10-09  6:14 UTC (permalink / raw
  To: gentoo-commits

commit:     afe96d77f57f7ac52f4fdbdbabfbb7b4076b6f17
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  9 06:14:50 2022 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Oct  9 06:14:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afe96d77

media-libs/libltc: dropped obsolete 1.3.1-r1

Bug: https://bugs.gentoo.org/875788
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-libs/libltc/Manifest               |  1 -
 media-libs/libltc/libltc-1.3.1-r1.ebuild | 28 ----------------------------
 2 files changed, 29 deletions(-)

diff --git a/media-libs/libltc/Manifest b/media-libs/libltc/Manifest
index 1daead03a70e..9ba280807062 100644
--- a/media-libs/libltc/Manifest
+++ b/media-libs/libltc/Manifest
@@ -1,2 +1 @@
-DIST libltc-1.3.1.tar.gz 440790 BLAKE2B 881a237a23e6f4a9d058d69b26cad78c96a9dc0f90bb5b5ffc2d08f4b894d039b57e53cb70844d89b0defa5795d252e3afef07d43bfd4dc8b10a34066b6c1efe SHA512 e4ba96560f04155d022d2c975fa36d4bb77efb9a877344041e1bd12bd5e7d04dccb452f3a4e061aba961bd0c3c0d1d53dc98ac469e04e61a934feeedc20e09b3
 DIST libltc-1.3.2.tar.gz 449921 BLAKE2B 8a6b3452245f72e918b4a105854d751ca66780ce4627aca54bb0d1342c5a1e77e614103da15037f71b89d44c62b35230a6240e42af287c442e6049c2ad9c85a6 SHA512 3b29b7da1ad9f85c62068b927abec9b3963a77558b46b3ee7681f360642570935becedcf95436574a8a7b456c7e0b414131571d71c6903139f9e7565968278a6

diff --git a/media-libs/libltc/libltc-1.3.1-r1.ebuild b/media-libs/libltc/libltc-1.3.1-r1.ebuild
deleted file mode 100644
index 5a4b897e7335..000000000000
--- a/media-libs/libltc/libltc-1.3.1-r1.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="Linear/Logitudinal Time Code (LTC) Library"
-HOMEPAGE="https://github.com/x42/libltc.git"
-if [[ ${PV} == *9999 ]]; then
-	inherit git-r3 autotools
-	EGIT_REPO_URI="https://github.com/x42/libltc.git"
-else
-	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
-	KEYWORDS="amd64"
-fi
-LICENSE="LGPL-3"
-SLOT="0"
-RESTRICT="mirror"
-
-src_prepare() {
-	default
-
-	[[ ${PV} == *9999 ]] && eautoreconf
-}
-
-src_install() {
-	default
-	find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
-}


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2022-10-07  9:34 Agostino Sarubbo
  0 siblings, 0 replies; 10+ messages in thread
From: Agostino Sarubbo @ 2022-10-07  9:34 UTC (permalink / raw
  To: gentoo-commits

commit:     9d1867e919251edea6611d0bd8ac18e0ab798b25
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  7 09:34:29 2022 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Oct  7 09:34:29 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d1867e9

media-libs/libltc: Stabilize 1.3.2 amd64, #875788

Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 media-libs/libltc/libltc-1.3.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/libltc/libltc-1.3.2.ebuild b/media-libs/libltc/libltc-1.3.2.ebuild
index a713d30f5e04..381d5241e35e 100644
--- a/media-libs/libltc/libltc-1.3.2.ebuild
+++ b/media-libs/libltc/libltc-1.3.2.ebuild
@@ -10,7 +10,7 @@ if [[ ${PV} == *9999 ]]; then
 	EGIT_REPO_URI="https://github.com/x42/libltc.git"
 else
 	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
-	KEYWORDS="~amd64"
+	KEYWORDS="amd64"
 fi
 LICENSE="LGPL-3"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2022-09-06  4:24 Miroslav Šulc
  0 siblings, 0 replies; 10+ messages in thread
From: Miroslav Šulc @ 2022-09-06  4:24 UTC (permalink / raw
  To: gentoo-commits

commit:     95095b102be082c99e4c6ed615a33710c57c7554
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  6 04:24:25 2022 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Sep  6 04:24:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95095b10

media-libs/libltc: bump to 1.3.2

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-libs/libltc/Manifest            |  1 +
 media-libs/libltc/libltc-1.3.2.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/media-libs/libltc/Manifest b/media-libs/libltc/Manifest
index 97ae3d630a04..1daead03a70e 100644
--- a/media-libs/libltc/Manifest
+++ b/media-libs/libltc/Manifest
@@ -1 +1,2 @@
 DIST libltc-1.3.1.tar.gz 440790 BLAKE2B 881a237a23e6f4a9d058d69b26cad78c96a9dc0f90bb5b5ffc2d08f4b894d039b57e53cb70844d89b0defa5795d252e3afef07d43bfd4dc8b10a34066b6c1efe SHA512 e4ba96560f04155d022d2c975fa36d4bb77efb9a877344041e1bd12bd5e7d04dccb452f3a4e061aba961bd0c3c0d1d53dc98ac469e04e61a934feeedc20e09b3
+DIST libltc-1.3.2.tar.gz 449921 BLAKE2B 8a6b3452245f72e918b4a105854d751ca66780ce4627aca54bb0d1342c5a1e77e614103da15037f71b89d44c62b35230a6240e42af287c442e6049c2ad9c85a6 SHA512 3b29b7da1ad9f85c62068b927abec9b3963a77558b46b3ee7681f360642570935becedcf95436574a8a7b456c7e0b414131571d71c6903139f9e7565968278a6

diff --git a/media-libs/libltc/libltc-1.3.2.ebuild b/media-libs/libltc/libltc-1.3.2.ebuild
new file mode 100644
index 000000000000..a713d30f5e04
--- /dev/null
+++ b/media-libs/libltc/libltc-1.3.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Linear/Logitudinal Time Code (LTC) Library"
+HOMEPAGE="https://github.com/x42/libltc.git"
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3 autotools
+	EGIT_REPO_URI="https://github.com/x42/libltc.git"
+else
+	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+LICENSE="LGPL-3"
+SLOT="0"
+RESTRICT="mirror"
+
+src_prepare() {
+	default
+
+	[[ ${PV} == *9999 ]] && eautoreconf
+}
+
+src_install() {
+	default
+	find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2022-03-11 16:16 Sam James
  0 siblings, 0 replies; 10+ messages in thread
From: Sam James @ 2022-03-11 16:16 UTC (permalink / raw
  To: gentoo-commits

commit:     e948768be2d4398280dd3006c48b7d97e466f2be
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 11 15:39:00 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 11 16:16:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e948768b

media-libs/libltc: drop unnecessary || die

eautoreconf is already fatal on errors, so this 'die' was unreachable.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libltc/libltc-1.3.1-r1.ebuild | 4 ++--
 media-libs/libltc/libltc-9999.ebuild     | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/media-libs/libltc/libltc-1.3.1-r1.ebuild b/media-libs/libltc/libltc-1.3.1-r1.ebuild
index 7ec6c8eaf9eb..5a4b897e7335 100644
--- a/media-libs/libltc/libltc-1.3.1-r1.ebuild
+++ b/media-libs/libltc/libltc-1.3.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -19,7 +19,7 @@ RESTRICT="mirror"
 src_prepare() {
 	default
 
-	[[ ${PV} == *9999 ]] && (eautoreconf || die)
+	[[ ${PV} == *9999 ]] && eautoreconf
 }
 
 src_install() {

diff --git a/media-libs/libltc/libltc-9999.ebuild b/media-libs/libltc/libltc-9999.ebuild
index 37f4e75a206e..3f002a9de5ae 100644
--- a/media-libs/libltc/libltc-9999.ebuild
+++ b/media-libs/libltc/libltc-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -19,7 +19,7 @@ RESTRICT="mirror"
 src_prepare() {
 	default
 
-	[[ ${PV} == *9999 ]] && (eautoreconf || die)
+	[[ ${PV} == *9999 ]] && eautoreconf
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2021-05-18 17:24 Sam James
  0 siblings, 0 replies; 10+ messages in thread
From: Sam James @ 2021-05-18 17:24 UTC (permalink / raw
  To: gentoo-commits

commit:     e15801b759291f1bac745812730e04224b62f43f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 18 17:23:47 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 18 17:23:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e15801b7

media-libs/libltc: Stabilize 1.3.1-r1 amd64, #790788

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libltc/libltc-1.3.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/libltc/libltc-1.3.1-r1.ebuild b/media-libs/libltc/libltc-1.3.1-r1.ebuild
index 37f4e75a206..7ec6c8eaf9e 100644
--- a/media-libs/libltc/libltc-1.3.1-r1.ebuild
+++ b/media-libs/libltc/libltc-1.3.1-r1.ebuild
@@ -10,7 +10,7 @@ if [[ ${PV} == *9999 ]]; then
 	EGIT_REPO_URI="https://github.com/x42/libltc.git"
 else
 	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
-	KEYWORDS="~amd64"
+	KEYWORDS="amd64"
 fi
 LICENSE="LGPL-3"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2021-04-18 14:58 Miroslav Šulc
  0 siblings, 0 replies; 10+ messages in thread
From: Miroslav Šulc @ 2021-04-18 14:58 UTC (permalink / raw
  To: gentoo-commits

commit:     37ba6285d6da6735f03895a3c1569612378cffeb
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 18 14:58:23 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Apr 18 14:58:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37ba6285

media-libs/libltc: removing static libs

Closes: https://bugs.gentoo.org/783801
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-libs/libltc/{libltc-1.3.1.ebuild => libltc-1.3.1-r1.ebuild} | 5 +++++
 media-libs/libltc/libltc-9999.ebuild                              | 5 +++++
 2 files changed, 10 insertions(+)

diff --git a/media-libs/libltc/libltc-1.3.1.ebuild b/media-libs/libltc/libltc-1.3.1-r1.ebuild
similarity index 85%
rename from media-libs/libltc/libltc-1.3.1.ebuild
rename to media-libs/libltc/libltc-1.3.1-r1.ebuild
index 55dfca50fbe..37f4e75a206 100644
--- a/media-libs/libltc/libltc-1.3.1.ebuild
+++ b/media-libs/libltc/libltc-1.3.1-r1.ebuild
@@ -21,3 +21,8 @@ src_prepare() {
 
 	[[ ${PV} == *9999 ]] && (eautoreconf || die)
 }
+
+src_install() {
+	default
+	find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}

diff --git a/media-libs/libltc/libltc-9999.ebuild b/media-libs/libltc/libltc-9999.ebuild
index 55dfca50fbe..37f4e75a206 100644
--- a/media-libs/libltc/libltc-9999.ebuild
+++ b/media-libs/libltc/libltc-9999.ebuild
@@ -21,3 +21,8 @@ src_prepare() {
 
 	[[ ${PV} == *9999 ]] && (eautoreconf || die)
 }
+
+src_install() {
+	default
+	find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/
@ 2021-04-18 11:22 Miroslav Šulc
  0 siblings, 0 replies; 10+ messages in thread
From: Miroslav Šulc @ 2021-04-18 11:22 UTC (permalink / raw
  To: gentoo-commits

commit:     95ee142de6e5a824db851ff6087830d1b58b3ed8
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 18 10:25:24 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Apr 18 11:21:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95ee142d

media-libs/libltc: new ebuild

thanks to Simon van der Veldt <simon.vanderveldt <AT> gmail.com>

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-libs/libltc/Manifest            |  1 +
 media-libs/libltc/libltc-1.3.1.ebuild | 23 +++++++++++++++++++++++
 media-libs/libltc/libltc-9999.ebuild  | 23 +++++++++++++++++++++++
 media-libs/libltc/metadata.xml        | 12 ++++++++++++
 4 files changed, 59 insertions(+)

diff --git a/media-libs/libltc/Manifest b/media-libs/libltc/Manifest
new file mode 100644
index 00000000000..97ae3d630a0
--- /dev/null
+++ b/media-libs/libltc/Manifest
@@ -0,0 +1 @@
+DIST libltc-1.3.1.tar.gz 440790 BLAKE2B 881a237a23e6f4a9d058d69b26cad78c96a9dc0f90bb5b5ffc2d08f4b894d039b57e53cb70844d89b0defa5795d252e3afef07d43bfd4dc8b10a34066b6c1efe SHA512 e4ba96560f04155d022d2c975fa36d4bb77efb9a877344041e1bd12bd5e7d04dccb452f3a4e061aba961bd0c3c0d1d53dc98ac469e04e61a934feeedc20e09b3

diff --git a/media-libs/libltc/libltc-1.3.1.ebuild b/media-libs/libltc/libltc-1.3.1.ebuild
new file mode 100644
index 00000000000..55dfca50fbe
--- /dev/null
+++ b/media-libs/libltc/libltc-1.3.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Linear/Logitudinal Time Code (LTC) Library"
+HOMEPAGE="https://github.com/x42/libltc.git"
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3 autotools
+	EGIT_REPO_URI="https://github.com/x42/libltc.git"
+else
+	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+LICENSE="LGPL-3"
+SLOT="0"
+RESTRICT="mirror"
+
+src_prepare() {
+	default
+
+	[[ ${PV} == *9999 ]] && (eautoreconf || die)
+}

diff --git a/media-libs/libltc/libltc-9999.ebuild b/media-libs/libltc/libltc-9999.ebuild
new file mode 100644
index 00000000000..55dfca50fbe
--- /dev/null
+++ b/media-libs/libltc/libltc-9999.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Linear/Logitudinal Time Code (LTC) Library"
+HOMEPAGE="https://github.com/x42/libltc.git"
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3 autotools
+	EGIT_REPO_URI="https://github.com/x42/libltc.git"
+else
+	SRC_URI="https://github.com/x42/libltc/releases/download/v${PV}/${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+LICENSE="LGPL-3"
+SLOT="0"
+RESTRICT="mirror"
+
+src_prepare() {
+	default
+
+	[[ ${PV} == *9999 ]] && (eautoreconf || die)
+}

diff --git a/media-libs/libltc/metadata.xml b/media-libs/libltc/metadata.xml
new file mode 100644
index 00000000000..703c168ad04
--- /dev/null
+++ b/media-libs/libltc/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>proaudio@gentoo.org</email>
+		<name>Gentoo ProAudio Project</name>
+	</maintainer>
+	<upstream>
+		<bugs-to>https://github.com/x42/libltc/issues</bugs-to>
+		<remote-id type="github">x42/libltc</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2024-05-05 11:49 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-05-05 11:49 [gentoo-commits] repo/gentoo:master commit in: media-libs/libltc/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-05-05 11:49 Sam James
2023-06-19  6:47 Miroslav Šulc
2022-10-09  6:14 Miroslav Šulc
2022-10-07  9:34 Agostino Sarubbo
2022-09-06  4:24 Miroslav Šulc
2022-03-11 16:16 Sam James
2021-05-18 17:24 Sam James
2021-04-18 14:58 Miroslav Šulc
2021-04-18 11:22 Miroslav Šulc

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox